Have you ever thought about how unecesarily finiky were all three of them with food in general?
At lunch time you would often see Henrik meticulously removing the white part from his roast beef slices and Malte carefully assemblying his fish frikadeller on a piece of bread and then topped with lemon squirt.
It reminds me of when I was a child and refusing to eat an egg if it wasn't peeled off without any scratches or if the pate on my bread wasn't spread out perfectly even.